## org.eclipse.datatools.connectivity.oda.util.manifest
Class ManifestExplorer.Filter

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.manifest.ManifestExplorer.Filter

Enclosing class:
  ManifestExplorer

    public class ManifestExplorer.Filter

extends java.lang.Object

Filtering options for the manifest explorer to apply when retrieving a collection of ODA data source extension manifests.

Since:
  3.0.3

Method Summary
`boolean` `isDeprecatedFilterOn()` Indicates whether to hide deprecated extensions.
`boolean` `isHideWrapperFilterOn()` Indicates whether to hide wrapper extensions.
`boolean` `isMissingDataSetTypesFilterOn()` Indicates whether to hide extensions with no data set types defined.
`void` `setDeprecatedFilter(boolean hide)` Specifies whether to hide deprecated extensions.
`void` `setHideWrapper(boolean hide)` Specifies whether to hide wrapper extensions.
`void` `setMissingDataSetTypesFilter(boolean hide)` Specifies whether to hide extensions with no data set types defined.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setMissingDataSetTypesFilter

    public void setMissingDataSetTypesFilter(boolean hide)

  Specifies whether to hide extensions with no data set types defined.

  Parameters:
    `hide` - true to hide, false otherwise.

### setDeprecatedFilter

    public void setDeprecatedFilter(boolean hide)

  Specifies whether to hide deprecated extensions.

  Parameters:
    `hide` - true to hide, false otherwise.

### setHideWrapper

    public void setHideWrapper(boolean hide)

  Specifies whether to hide wrapper extensions.

  Parameters:
    `hide` - true to hide, false otherwise.
  Since:
    3.1.2 (DTP 1.6)

### isMissingDataSetTypesFilterOn

    public boolean isMissingDataSetTypesFilterOn()

  Indicates whether to hide extensions with no data set types defined.

### isDeprecatedFilterOn

    public boolean isDeprecatedFilterOn()

  Indicates whether to hide deprecated extensions.

### isHideWrapperFilterOn

    public boolean isHideWrapperFilterOn()

  Indicates whether to hide wrapper extensions.

  Since:
    3.1.2 (DTP 1.6)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.